path: /build/build/rarian-app-text-0.8.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-text/rarian -pv -t && \
    emerge -j ${JOBS} --nodeps app-text/rarian
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rarian && luet-portage --dir /pkgdir/rarian
    app-text/rarian && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:16598818e30e7b3f13f15205d746bd0519a3351197e9c971621595e9036b6558
  package:
    name: rarian
    version: 0.8.1
    category: app-text
    requires:
    - name: libnotify
      version: '>=0'
      category: x11-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A documentation metadata library
    uri:
    - https://rarian.freedesktop.org/
    license: LGPL-2.1
    buildtimestamp: 2023-08-22 20:46:41.558627834 +0000 UTC m=+91.618830352
    labels:
      DEPEND: dev-libs/libxslt dev-libs/tinyxml || ( sys-apps/util-linux app-misc/getopt
        ) !<app-text/scrollkeeper-9999 >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      IUSE: static-libs
      RDEPEND: dev-libs/libxslt dev-libs/tinyxml || ( sys-apps/util-linux app-misc/getopt
        )
      emerge.packages: app-text/rarian
      kit: gnome-kit
      original.package.name: app-text/rarian
      original.package.slot: "0"
      original.package.version: 0.8.1-r3
    treedir: /build/packages
  package_dir: /pkgdir/rarian
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3b210109eb84330842a5735aaaa1e41e5a09d0dfc26acfcac5be6faf7fbe271b
compressiontype: zstd
files:
- usr/bin/rarian-example
- usr/bin/rarian-sk-config
- usr/bin/rarian-sk-extract
- usr/bin/rarian-sk-gen-uuid
- usr/bin/rarian-sk-get-cl
- usr/bin/rarian-sk-get-content-list
- usr/bin/rarian-sk-get-extended-content-list
- usr/bin/rarian-sk-get-scripts
- usr/bin/rarian-sk-install
- usr/bin/rarian-sk-migrate
- usr/bin/rarian-sk-preinstall
- usr/bin/rarian-sk-rebuild
- usr/bin/rarian-sk-update
- usr/bin/scrollkeeper-config
- usr/bin/scrollkeeper-extract
- usr/bin/scrollkeeper-gen-seriesid
- usr/bin/scrollkeeper-get-cl
- usr/bin/scrollkeeper-get-content-list
- usr/bin/scrollkeeper-get-extended-content-list
- usr/bin/scrollkeeper-get-index-from-docpath
- usr/bin/scrollkeeper-get-toc-from-docpath
- usr/bin/scrollkeeper-get-toc-from-id
- usr/bin/scrollkeeper-install
- usr/bin/scrollkeeper-preinstall
- usr/bin/scrollkeeper-rebuilddb
- usr/bin/scrollkeeper-uninstall
- usr/bin/scrollkeeper-update
- usr/include/rarian/rarian-info.h
- usr/include/rarian/rarian-main.h
- usr/include/rarian/rarian-man.h
- usr/include/rarian/rarian-reg-utils.h
- usr/include/rarian/rarian.h
- usr/lib64/librarian.so
- usr/lib64/librarian.so.0
- usr/lib64/librarian.so.0.0.0
- usr/lib64/pkgconfig/rarian.pc
- usr/share/doc/rarian-0.8.1-r3/ChangeLog.bz2
- usr/share/doc/rarian-0.8.1-r3/NEWS.bz2
- usr/share/doc/rarian-0.8.1-r3/README.bz2
- usr/share/help/rarian.document
- usr/share/librarian/Templates/C/scrollkeeper_cl.xml
- usr/share/librarian/manual/help-spec-0.2.xml
- usr/share/librarian/manual/index.xhtml
- usr/share/librarian/manual/rar-lib.xhtml
- usr/share/librarian/manual/rar-mdf.xhtml
- usr/share/librarian/manual/rar-skcompat.xhtml
- usr/share/librarian/rarian-sk-cl.xml
- var/db/pkg/app-text/rarian-0.8.1-r3/BUILD_TIME
- var/db/pkg/app-text/rarian-0.8.1-r3/CATEGORY
- var/db/pkg/app-text/rarian-0.8.1-r3/CBUILD
- var/db/pkg/app-text/rarian-0.8.1-r3/CFLAGS
- var/db/pkg/app-text/rarian-0.8.1-r3/CHOST
- var/db/pkg/app-text/rarian-0.8.1-r3/CONTENTS
- var/db/pkg/app-text/rarian-0.8.1-r3/COUNTER
- var/db/pkg/app-text/rarian-0.8.1-r3/CXXFLAGS
- var/db/pkg/app-text/rarian-0.8.1-r3/DEFINED_PHASES
- var/db/pkg/app-text/rarian-0.8.1-r3/DEPEND
- var/db/pkg/app-text/rarian-0.8.1-r3/DESCRIPTION
- var/db/pkg/app-text/rarian-0.8.1-r3/EAPI
- var/db/pkg/app-text/rarian-0.8.1-r3/FEATURES
- var/db/pkg/app-text/rarian-0.8.1-r3/HOMEPAGE
- var/db/pkg/app-text/rarian-0.8.1-r3/INHERITED
- var/db/pkg/app-text/rarian-0.8.1-r3/IUSE
- var/db/pkg/app-text/rarian-0.8.1-r3/IUSE_EFFECTIVE
- var/db/pkg/app-text/rarian-0.8.1-r3/KEYWORDS
- var/db/pkg/app-text/rarian-0.8.1-r3/LDFLAGS
- var/db/pkg/app-text/rarian-0.8.1-r3/LICENSE
- var/db/pkg/app-text/rarian-0.8.1-r3/NEEDED
- var/db/pkg/app-text/rarian-0.8.1-r3/PF
- var/db/pkg/app-text/rarian-0.8.1-r3/PROVIDES
- var/db/pkg/app-text/rarian-0.8.1-r3/RDEPEND
- var/db/pkg/app-text/rarian-0.8.1-r3/REQUIRES
- var/db/pkg/app-text/rarian-0.8.1-r3/SIZE
- var/db/pkg/app-text/rarian-0.8.1-r3/SLOT
- var/db/pkg/app-text/rarian-0.8.1-r3/USE
- var/db/pkg/app-text/rarian-0.8.1-r3/environment.bz2
- var/db/pkg/app-text/rarian-0.8.1-r3/rarian-0.8.1-r3.ebuild
- var/db/pkg/app-text/rarian-0.8.1-r3/repository
package_cacheimage: ""
runtime:
  name: rarian
  version: 0.8.1
  category: app-text
  requires:
  - name: libxslt
    version: '>=0'
    category: dev-libs
  - name: tinyxml
    version: '>=0'
    category: dev-libs
  - name: util-linux
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A documentation metadata library
  uri:
  - https://rarian.freedesktop.org/
  license: LGPL-2.1
  labels:
    DEPEND: dev-libs/libxslt dev-libs/tinyxml || ( sys-apps/util-linux app-misc/getopt
      ) !<app-text/scrollkeeper-9999 >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    IUSE: static-libs
    RDEPEND: dev-libs/libxslt dev-libs/tinyxml || ( sys-apps/util-linux app-misc/getopt
      )
    emerge.packages: app-text/rarian
    kit: gnome-kit
    original.package.name: app-text/rarian
    original.package.slot: "0"
    original.package.version: 0.8.1-r3
